#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios::sync_with_stdio(false); cin.tie(NULL);cout.tie(NULL);
    string n;
    cin>>n;
    int a[n.length()];
    bool p=true;
    for(int i=0;i<n.length();i++)
    {
        a[i]=n[i];
    }
    if(n.length()<=2) cout<<0;
    if(n.length()<=3) if(a[0]==a[2]) if(a[0]==a[1]) cout<<0;else cout<<1; else cout<<0;
    else cout<<2;
}